For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DeveloperAcademyCommunityStatus
    • Overview
    • API Credentials
    • Errors
    • Legacy & Deprecated APIs
  • Events API
    • Chat Markup
    • Rate Limits
    • Message Delivery
  • (Beta) Conversations API
  • Data API
    • GETList conversations
    • GETList interactions
    • GETList plugins calls
    • GETList Plugin Resources
    • GETList Users
  • Webhook Listeners
  • Content Gateway
    • Overview
    • Integration Strategies
    • Starter Code
    • Verifying Your Build
    • Connecting Your Gateway to Moveworks
    • Authentication
    • How Permissions Work
    • Common Pitfalls
    • Operational Guide
    • Errors
    • Supported MIME Types
  • Legacy Gateways
    • Authentication
    • Response Options
    • Field Types
    • Form Gateway Errors
DeveloperAcademyCommunityStatus
On this page
  • API Lifecycle Stages
  • Stable APIs
  • Legacy APIs
  • Legacy endpoints
  • POST /rest/v1/messages/send
  • Deprecated APIs
  • Deprecated endpoints
  • POST /rest/v1beta1/messages/send
  • Experimental APIs

Legacy & Deprecated APIs

||View as Markdown|
Was this page helpful?
Edit this page
Previous

Send a message for an event

Next
Built with

Moveworks APIs follow a defined lifecycle. Understanding each stage helps you plan integrations and migrations.

API Lifecycle Stages

StageWhat it meansSupport levelExample
StableActively supported, maintained, and improvedFull support, bug fixes, new featuresEvents API, Webhooks API, Data API
LegacyWorks and existing functionality is preserved, but no future improvementsMaintained, no new featuresMessage API
DeprecatedNot expected to work. If it does, that’s a fluke.No support, no bug fixes, scheduled for removalBeta API endpoints

Stable APIs

Stable APIs are the current, recommended endpoints for building integrations. These are actively supported and receive ongoing improvements.

For versioned releases, Moveworks may publish alpha and beta endpoints to select pilot customers before promoting them to stable. See API Release Management for details on the versioning process.

Legacy APIs

Legacy APIs continue to function and existing behavior is preserved. However, Moveworks will not make future improvements or add new features to these endpoints.

If you are currently using a legacy API, your integration will continue to work. We recommend migrating to the stable equivalent when possible.

Legacy endpoints

POST /rest/v1/messages/send

The V1 Messages API is considered legacy. It continues to function, but no further enhancements will be made.

Deprecated APIs

Deprecated APIs are not expected to work. Errors will not be addressed and customers should not use these endpoints. They are scheduled for removal.

Deprecated endpoints

POST /rest/v1beta1/messages/send

This endpoint was deprecated as of January 31, 2023.

To migrate, switch all instances of this endpoint to:

https://api.moveworks.ai/rest/v1/messages/send

You will still be able to use your current Message API Key.

Experimental APIs

Experimental APIs are subject to change or deprecation with advance notice of at least 14 days.

Moveworks publishes bleeding-edge capabilities to select pilot customers through beta endpoints. Beta endpoints are denoted by their version path.

For example, https://api.moveworks.ai/rest/v2beta3/* represents the 3rd beta iteration of the V2 API.